Skip to main content
GET
/
api
/
v2
/
insights
/
advanced
/
heatmap_data
Error
A valid request URL is required to generate request examples
[
  {
    "id": 123,
    "lat": 40.7128,
    "lng": -74.006,
    "duration": 123,
    "acknowledged": true
  }
]

Authorizations

Authorization
string
header
required

JWT token

Query Parameters

startDate
string<date-time>
required

Start date for the data in ISO 8601 format

endDate
string<date-time>
required

End date for the data in ISO 8601 format

projectsIds
integer[]

Array of project IDs to filter by

sitesIds
integer[]

Array of site IDs to filter by

entitiesIds
integer[]

Array of entity IDs to filter by

Response

200 - application/json

Return heatmap data array

id
integer

Incursion ID

lat
number<float>

Latitude coordinate

Example:

40.7128

lng
number<float>

Longitude coordinate

Example:

-74.006

duration
integer

Incursion duration in seconds

acknowledged
boolean

Whether the incursion was acknowledged